Issue #13203 has been updated by Nobuyoshi Nakada.

Status changed from Open to Third Party's Issue

Please report it to mysql2.
Note that 2.1.2 is outdated and 2.1 EOL is soon.

----------------------------------------
Bug #13203: mysql2-0.4.1/mysql2/mysql2.so: [BUG] Segmentation fault
https://bugs.ruby-lang.org/issues/13203#change-62939

* Author: jack connors
* Status: Third Party's Issue
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 2.1.2 (x86_64-linux-gnu)
* Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN
----------------------------------------
Trying to install a ruby app on a server. Whenever the gem mysql2 is invoked, I get a segmentation fault. Please see attached file for details. In addition to mysql2-0.4.1, I have also tried mysql2-0.3.18 and mysql2-0.3.10. I have also tried using mysql in place of mariadb. Thank you for any assistance you can provide.


---Files--------------------------------
ruby_bug_report (74.1 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>